TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = pdfadd
CONFIG	+= qt warn_off release
QT += xml
PDFADDVERSION=1.1
DEFINES += PDFADDVERSION=\\\"$${PDFADDVERSION}\\\"
DEFINES += HAVE_SPLASH
###############################
HEADERS	+= courbesdialog.h \
	trigodialog.h \
	binomdialog.h \
	espacedialog.h \
	suitesdialog.h \
	histodialog.h \
	boitesdialog.h \
	graphedialog.h \
	tabvardialog.h \
	arbredialog.h \
	types.h \
	convertisseur.h \
	geometriedialog.h \
	parser.hpp \
	eukparser.h \
	eukeditor.h \
	eukeditorview.h \
	eukhighlighter.h \
	linenumberwidget.h \
	objetdialog.h \
	pdfadd.h \
	toolbox.h \
	aidedialog.h \
	logdialog.h \
	logeditor.h \
	loghighlighter.h \
	latexhighlighter.h \
	listdelegate.h \
	psttablewidget.h \
	highlighter.h \
	blockdata.h \
	pdfviewer.h \
	pdfdocumentwidget.h \
	pdfscrollarea.h 
SOURCES	+= main.cpp \
	trigodialog.cpp \
	espacedialog.cpp \
	binomdialog.cpp \
	suitesdialog.cpp \
	histodialog.cpp \
	boitesdialog.cpp \
	courbesdialog.cpp \
	graphedialog.cpp \
	tabvardialog.cpp \
	arbredialog.cpp \
	convertisseur.cpp \
	parser.cpp \
	geometriedialog.cpp \
	lexer.cpp \
	eukparser.cpp \
	eukeditor.cpp \
	eukeditorview.cpp \
	eukhighlighter.cpp \
	linenumberwidget.cpp \
	objetdialog.cpp \
	pdfadd.cpp \
	toolbox.cpp \
	aidedialog.cpp \
	logdialog.cpp \
	logeditor.cpp \
	loghighlighter.cpp \
	latexhighlighter.cpp \
	listdelegate.cpp \
	psttablewidget.cpp \
	highlighter.cpp \
	blockdata.cpp \
	pdfviewer.cpp \
	pdfdocumentwidget.cpp \
	pdfscrollarea.cpp 
RESOURCES += pdfadd.qrc
FORMS += courbesdialog.ui \
	trigodialog.ui \
	binomdialog.ui \
	espacedialog.ui \
	suitesdialog.ui \
	histodialog.ui \
	boitesdialog.ui \
	graphedialog.ui \
	pdfadd.ui \
	aidedialog.ui \
	tabvardialog.ui \
	arbredialog.ui \
	geometriedialog.ui \
	objetdialog.ui \
	logdialog.ui
################################
unix:!macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
isEmpty( PREFIX ) {
    PREFIX=/usr
}
isEmpty( DESKTOPDIR ) {
    DESKTOPDIR=/usr/share/applications
}
isEmpty( ICONDIR ) {
    ICONDIR=/usr/share/pixmaps
}

INCLUDEPATH  += /usr/include/poppler/qt4
LIBS         += -L/usr/lib -lpoppler-qt4
LIBS         += -L/usr/lib -lz

DEFINES += PREFIX=\\\"$${PREFIX}\\\"

target.path = $${PREFIX}/bin
INSTALLS = target
HEADERS	+= x11fontdialog.h
SOURCES	+= x11fontdialog.cpp
FORMS += x11fontdialog.ui

utilities.path = $${PREFIX}/share/pdfadd

utilities.files = utilities/AUTHORS \
	utilities/COPYING \
	utilities/exemple_arbre1.pag \
	utilities/exemple_arbre2.pag \
	utilities/exemple_binomiale1.pag \
	utilities/exemple_boites1.pag \
	utilities/exemple_boites2.pag \
	utilities/exemple_cercletrigo1.pag \
	utilities/exemple_courbes1.pag \
	utilities/exemple_espace1.pag \
	utilities/exemple_espace2.pag \
	utilities/exemple_geometrie1.pag \
	utilities/exemple_geometrie2.pag \
	utilities/exemple_graphe1.pag \
	utilities/exemple_graphe2.pag \
	utilities/exemple_graphe3.pag \
	utilities/exemple_graphe4.pag \
	utilities/exemple_histo1.pag \
	utilities/exemple_suite1.pag \
	utilities/exemple_suite2.pag \
	utilities/exemple_tabvar1.pag \
	utilities/pdfadd128x128.png \
	utilities/pdfadd16x16.png \
	utilities/pdfadd22x22.png \
	utilities/pdfadd32x32.png \
	utilities/pdfadd48x48.png \
	utilities/pdfadd64x64.png \
	utilities/pdfadd.svg \
	utilities/pdftabvar.tex \
	utilities/qt_fr.qm 
INSTALLS += utilities

desktop.path = $${DESKTOPDIR}

desktop.files = utilities/pdfadd.desktop
INSTALLS += desktop

icon.path = $${ICONDIR}

icon.files = utilities/pdfadd.png
INSTALLS += icon
}
################################
win32 {
INCLUDEPATH += C:\QtSDK\mingw\include
INCLUDEPATH += C:\poppler
LIBS         += -LC:\poppler -lpoppler-qt4

RC_FILE = win.rc

#DEFINES += USB_VERSION

target.path = pdfaddwin32
#target.path = pdfaddwin32usb

INSTALLS = target

utilities.path = pdfaddwin32
#utilities.path = pdfaddwin32usb

utilities.files =utilities/AUTHORS \
	utilities/COPYING \
	utilities/exemple_arbre1.pag \
	utilities/exemple_arbre2.pag \
	utilities/exemple_binomiale1.pag \
	utilities/exemple_boites1.pag \
	utilities/exemple_boites2.pag \
	utilities/exemple_cercletrigo1.pag \
	utilities/exemple_courbes1.pag \
	utilities/exemple_espace1.pag \
	utilities/exemple_espace2.pag \
	utilities/exemple_geometrie1.pag \
	utilities/exemple_geometrie2.pag \
	utilities/exemple_graphe1.pag \
	utilities/exemple_graphe2.pag \
	utilities/exemple_graphe3.pag \
	utilities/exemple_graphe4.pag \
	utilities/exemple_histo1.pag \
	utilities/exemple_suite1.pag \
	utilities/exemple_suite2.pag \
	utilities/exemple_tabvar1.pag \
	utilities/pdftabvar.tex \
	utilities/qt_fr.qm 
INSTALLS += utilities

others.path = pdfaddwin32
#others.path = pdfaddwin32usb

others.files = pdfadd.ico \
		C:\Qt\4.8.0\bin\mingwm10.dll \
		C:\Qt\4.8.0\bin\libgcc_s_dw2-1.dll \
		C:\Qt\4.8.0\bin\QtCore4.dll \
		C:\Qt\4.8.0\bin\QtGui4.dll \
		C:\Qt\4.8.0\bin\QtXml4.dll \
		C:\Qt\4.8.0\bin\QtXmlPatterns4.dll \
		C:\Qt\4.8.0\bin\phonon4.dll \
		C:\Qt\4.8.0\bin\QtNetwork4.dll 
INSTALLS += others
}
###############################
macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj

INCLUDEPATH  += /usr/local/include/poppler/qt4
LIBS         += -L/usr/local/lib -lpoppler-qt4

#QMAKE_CFLAGS += -gdwarf-2
#QMAKE_CXXFLAGS += -gdwarf-2

##tiger 32
CONFIG += link_prl x86
QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.5.sdk
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
target.path = PdfAddMacosx32

##tiger snow 64
#CONFIG += link_prl x86_64
#QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.6.sdk
#QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.6
#target.path = PdfAddMacosx64

#target.path = /Applications

INSTALLS = target
utilities.path = Contents/Resources
utilities.files = utilities/qt_menu.nib \
	utilities/AUTHORS \
	utilities/COPYING \
	utilities/exemple_arbre1.pag \
	utilities/exemple_arbre2.pag \
	utilities/exemple_binomiale1.pag \
	utilities/exemple_boites1.pag \
	utilities/exemple_boites2.pag \
	utilities/exemple_cercletrigo1.pag \
	utilities/exemple_courbes1.pag \
	utilities/exemple_espace1.pag \
	utilities/exemple_espace2.pag \
	utilities/exemple_geometrie1.pag \
	utilities/exemple_geometrie2.pag \
	utilities/exemple_graphe1.pag \
	utilities/exemple_graphe2.pag \
	utilities/exemple_graphe3.pag \
	utilities/exemple_graphe4.pag \
	utilities/exemple_histo1.pag \
	utilities/exemple_suite1.pag \
	utilities/exemple_suite2.pag \
	utilities/exemple_tabvar1.pag \
	utilities/pdftabvar.tex \
	utilities/qt_fr.qm 
QMAKE_BUNDLE_DATA += utilities
INSTALLS += utilities
ICON = pdfadd.icns
QMAKE_INFO_PLIST =Info.plist
}
